<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">IoInterface Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_io_interface.html">IoInterface</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#ae4f4b165b49c75cb28bc1e4fffaf533d">appendData</a>(const XsByteArray &amp;bdata)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a030b6c12d92276a494fc926e578ada79">cancelIo</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a3256915d0f4056dec116d500c9c2382c">close</a>(void)=0</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a108ea51f7057bc5f762052777e7baa00">closeAndDelete</a>(void)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a3e82060ef66d73b95b383f75867f3e0f">create</a>(const XsString &amp;filename)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a5c4a40c13cdd1dbd36da1323f8d8236c">deleteData</a>(XsFilePos start, XsSize length)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a6256ce5c2def7b6f6961cedd8199e35e">find</a>(const XsByteArray &amp;needleV, XsFilePos &amp;pos)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#aac5cc2c3707b24cc15f9ab15914448fa">flushData</a>(void)=0</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#af7acf94e2070b556290d969a324e8b93">getFileSize</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#af675487959bd1961e7ca815e4abcebee">getLastResult</a>(void) const  =0</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a7bbdfbb5caad826f6e6d81a73940fd0d">getName</a>(XsString &amp;filename) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a396d5028db152401dd83cfe8f0b6977e">getReadPosition</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a6ce051fb4db1dbace80bb0545b9cd343">getWritePosition</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#ad0d5e78791e017e06f8beaa6561bd844">insertData</a>(XsFilePos start, const XsByteArray &amp;data)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a0a4be67f0496efa12593cc69a802d784">IoInterface</a>()</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a576dc64a3aa88825d7da4e38361c9864">isOpen</a>(void) const  =0</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a905628de220b542bdfbf3692a55de428">isReadOnly</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a567804b45988f0111362d600babd4627">open</a>(const XsPortInfo &amp;portInfo, uint32_t readBufSize=(XS_MAXMSGLEN *8), uint32_t writeBufSize=XS_MAXMSGLEN, PortOptions options=PO_XsensDefaults)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a041ed4c0878f91fa8c41a72aa7b3e802">open</a>(const XsString &amp;filename, bool createNew, bool readOnly)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_DtrDsrFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_NoFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_OneStopBit</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_RtsCtsFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_TwoStopBits</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_XonXoffFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_XsensDefaults</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a24230835a198e4af06866402ac41f22a">PortOptions</a> enum name</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a33818cfaffd39a7e1382e465d26efc0a">readData</a>(XsSize maxLength, XsByteArray &amp;data)=0</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a6e75151a26492f0fa9666edabc09d817">setReadPosition</a>(XsFilePos pos)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a895370317c9fde8cf199b9049bef48f0">setTimeout</a>(uint32_t ms)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a115109da1f9f05a36222f00cd569cd52">setWritePosition</a>(XsFilePos pos=-1)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#aa9763f4a8ea90af8abeab4ada6f36502">waitForData</a>(XsSize maxLength, XsByteArray &amp;data)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a8e8f067dac101d2ef49080956ad53970">writeData</a>(const XsByteArray &amp;data, XsSize *written=NULL)=0</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a738a8cb24aa12562b04c5067bd3d99b7">~IoInterface</a>()</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
